%define name zim
%define rname Zim
%define version 0.23
%define release %mkrel 1

Summary: A desktop wiki and outliner
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://pardus-larus.student.utwente.nl/~pardus/downloads/Zim/%{rname}-%{version}.tar.gz
License: Artistic
Group: Editors
Url: http://zoidberg.student.utwente.nl/zim/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-Module-Build
BuildRequires: desktop-file-utils
BuildRequires: perl-Gtk2-Spell
BuildArch: noarch

%description
Zim is a WYSIWYG text editor written in Gtk2-Perl which aims to bring
the concept of a wiki to your desktop. Every page is saved as a text
file with wiki markup. Pages can contain links to other pages, and are
saved automatically. Creating a new page is as easy as linking to a
non-existing page. Pages are ordered in a hierarchical structure that
gives it the look and feel of an outliner. This tool is intended to
keep track of TODO lists or to serve as a personal scratch book.

%prep
%setup -q -n %{rname}-%{version}

%build
perl ./Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	%buildroot%_datadir/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root)
%doc Changes
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/zim.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Nov 22 2007 Funda Wang <fundawang@mandriva.org> 0.23-1mdv2008.1
+ Revision: 111173
- New version 0.23

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.22-1mdv2008.1
+ Revision: 97304
- New release 0.22

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 0.20-1mdv2008.0
+ Revision: 67025
- New version 0.20

* Thu Apr 19 2007 Olivier Blin <oblin@mandriva.com> 0.19-1mdv2008.0
+ Revision: 14988
- 0.19


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.17-1mdv2007.0
+ Revision: 122457
- New release 0.17

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com> 0.16-2mdv2007.0
+ Revision: 57640
- fix typo in summary
- Import zim

* Sun Jul 30 2006 Olivier Blin <blino@mandriva.com> 0.16-1mdv2007.0
- initial Mandriva release

